Summary:	The GNU Image Manipulation Program (GIMP), the prettiest image manipulation program on this planet.
Name:		gimp
Version:	1.1.13
Release:	1b
Copyright:	GPL
Group:          Applications/Graphics
Source0:	ftp://ftp.gimp.org/pub/devel/gimp-%{version}.tar.bz2
Patch0:		localhost:/gimp-%{version}-jp.patch
Patch1:		localhost:/gimp-%{version}-plugins.patch
Patch2:		localhost:/gimp-%{version}-scripts.patch
Patch3:		localhost:/gimp-%{version}-loemker.patch
URL:		http://www.gimp.org/
Packager:	Keisuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot:	/tmp/gimp-root

%description
This is the GNU image Manipulation Program, or the GIMP.

This does many funky things for free. It has functionality similar to and
better than Adobe Photoshop. GIMP is highly configurable, through the Gimp
Kit.

%package devel
Summary: GIMP plugin and extension development kit
Group: Development/Libraries
Requires: gtk+-devel
%description devel
Static libraries and header files for writing GIMP plugins and extensions.

%package perl
Summary: GIMP perl extension plugins
Group: Applications/Graphics
Requires: gimp
%description perl
Perl extension plugins for GIMP.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./configure --prefix=/usr \
	--with-libtiff=/usr --with-libjpeg=/usr
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install prefix=/tmp/gimp-root/usr \
	PREFIX=/tmp/gimp-root/usr \
	INSTALLMAN1DIR=/tmp/gimp-root/usr/man/man1 \
	INSTALLMAN3DIR=/tmp/gimp-root/usr/lib/perl5/man/man3
#--
#  A very temporary treatment to avoid screwed up Japanese menus
#--
# rm -f $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/gimp.mo

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL MAINTAINERS
%doc NEWS README* TODO docs gimprc gtkrc ps-menurc
%dir /usr/share/gimp
%dir /usr/lib/gimp
/usr/bin/gimp*
/usr/lib/lib*.so.*.*
/usr/lib/gimp/*
/usr/man/man1/gimp*
/usr/man/man3/*
/usr/man/man5/*
/usr/share/aclocal/*
/usr/share/gimp/*
/usr/share/locale/*/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%dir /usr/include/gck
%dir /usr/include/libgimp
/usr/include/gck/*
/usr/include/libgimp/*
/usr/lib/lib*.so
/usr/lib/lib*.a

%files perl
%defattr(-,root,root)
/usr/bin/scm*
/usr/man/man1/scm*
/usr/lib/perl5/man/man3/Gimp*
/usr/lib/perl5/site_perl/5.005/ppc-linux/Gimp*
/usr/lib/perl5/site_perl/5.005/ppc-linux/auto/Gimp

%changelog
* Sat Nov 30 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added Frank Loemker's plugin patch (gimp-developer 9064)

* Sat Nov 27 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.1.13
- updated gdyntext and plugins patches (thanks to Koming san)
- updated scripts patch

* Thu Nov 25 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated gdyntext patch

* Tue Nov 24 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated script-fu patch to accomodate with unpatched gtk+-1.2.6
- added gdyntext patch
- added scripts patch
- added http://www.din.or.jp/~khoming/gimp/misc/gimp-1.1.11-plugins.patch

* Sat Nov 20 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.1.11

* Fri Oct 25 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.1.10

* Wed Aug 06 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.1.8

* Tue Jul 13 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with gtk+-perl, PDL, and Image/Magick installed

* Wed Jun 30 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version 1.1.6 built against glibc2.1

